#!/bin/sh

set -e

if [ -e /etc/redis/redis-openvas.conf ]; then
    chown redis:redis /etc/redis/redis-openvas.conf
fi

if ! getent group _gvm >/dev/null; then
	addgroup --quiet --system --force-badname _gvm
fi

if ! getent passwd _gvm >/dev/null; then
	adduser --quiet --force-badname --system --ingroup _gvm --home /var/lib/openvas --no-create-home _gvm
fi

# we need to have access to the redis socket
usermod -aG redis _gvm

if ! dpkg-statoverride --list /var/lib/openvas >/dev/null 2>&1; then
	dpkg-statoverride --update --add _gvm _gvm 0755 /var/lib/openvas
fi
if ! dpkg-statoverride --list /var/lib/openvas/gnupg >/dev/null 2>&1; then
	dpkg-statoverride --update --add _gvm _gvm 0700 /var/lib/openvas/gnupg
fi
if ! dpkg-statoverride --list /var/lib/openvas/plugins >/dev/null 2>&1; then
	dpkg-statoverride --update --add _gvm _gvm 0755 /var/lib/openvas/plugins
fi

#DEBHELPER#

exit 0
